package com.supervision.vo.kg;

import com.supervision.model.KgInfo;
import lombok.Data;

import java.util.Objects;

@Data
public class SourceKgInfo {

    private String fileId;

    /**
     * 标题
     */
    private String title;

    /**
     * 标签 1：知识 2：通知 3：办事指南 4：政策解读
     */
    private String label;

    /**
     * 分类 1:养老退休
     */
    private Integer classify;

    /**
     * 内容类型 1：文本 2：图片 3：视频 4:pdf 5:docx
     */
    private Integer contentType;

    /**
     * 概述
     */
    private String summary;

    public static SourceKgInfo kgInfo2SourceKgInfo(KgInfo kgInfo){
        SourceKgInfo sourceKgInfo = new SourceKgInfo();
        if (Objects.isNull(kgInfo)){
            return sourceKgInfo;
        }
        sourceKgInfo.setFileId(kgInfo.getId());
        sourceKgInfo.setTitle(kgInfo.getTitle());
        sourceKgInfo.setLabel(kgInfo.getLabel());
        sourceKgInfo.setClassify(kgInfo.getClassify());
        sourceKgInfo.setContentType(kgInfo.getContentType());
        sourceKgInfo.setSummary(kgInfo.getSummary());
        return sourceKgInfo;
    }
}
